#include "rocks.h"
#include "rs.h"

int
rock_ctl(int fd, int flag, int val)
{
	rs_t rs;

	rs = rs_lookup(fd);
	if (!rs)
		return -1;
	switch (flag) {
	case ROCKDETECT:
		rs->doedp = val;
		break;
	case ROCKPLAIN:
		rs_fallback(rs);
		break;
	default:
		return -1;
	}
	return 0;
}

int
isrock(int fd)
{
	return rs_lookup(fd) != NULL;
}

int
rock_suspend(int fd)
{
	rs_t rs;

	rs = rs_lookup(fd);
	if (!rs)
		return -1;
	rs_reconnect(rs, RS_BLOCK);
	return 0;
}
