/*
 *  rocks/rs_win.h
 *
 *  Windows-specific rocks header.
 *
 *  Copyright (C) 2001 Victor Zandy, Greg Quinn
 *  See COPYING for distribution terms.
 */

#ifndef _RS_WIN_H_
#define _RS_WIN_H_

#include "rs.h"

/* instance handle of rocks DLL */
extern HMODULE rocks_inst;

SOCKET rs_lookup_reverse(SOCKET);
int rs_start_ctl(rs_t);
void do_reconnect(rs_t);
void do_heartbeat(rs_t);
int rs_WSAAsyncSelect(SOCKET, HWND, unsigned int, long);

/* network event stuff */
int init_net_events();
int event_unrock(rs_t);
int event_rebind(rs_t);
int add_async_select(SOCKET name, HWND wnd, unsigned msg, long ev, rs_t rs);
int add_event_select(SOCKET name, HANDLE app_event, long ev, rs_t rs);
int remove_event(SOCKET name);
void event_show_message(LPMSG);


#endif
