/* 
 *  rocks/rslist.h
 *
 *  List of all the rocks structures.
 *
 *  Copyright (C) 2001 Victor Zandy
 *  See COPYING for distribution terms.
 */

#ifndef _RSLIST_H_
#define _RSLIST_H_

#include "rs.h"

socket_t rs_add_rock(rs_t);
socket_t rs_add_nonrock(socket_t);
int rs_remove_node(socket_t);
socket_t rs_lookup_socket(socket_t);
rs_t rs_lookup(socket_t);
void rs_unrock(rs_t rs);
socket_t rs_rebind_rock(rs_t, socket_t);

#endif
